<!DOCTYPE html>
<html>
<head>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
    body {
        margin: 0;
        font-family: Arial, Helvetica, sans-serif;
    }
    .center {
        text-align: center;
    }
    .topnav {
        overflow: hidden;
        background-color: #333;
    }
    .topnav a {
        float: left;
        color: #f2f2f2;
        text-align: center;
        padding: 14px 16px;
        text-decoration: none;
        font-size: 17px;
    }
    .topnav a:hover {
        background-color: #ddd;
        color: black;
    }
    .topnav a.active {
        background-color: #259FA1;
        color: white;
    }
    .topnav pbp {
        margin-left: 825px;
        float: left;
        color: #f2f2f2;
        text-align: center;
        padding: 14px 16px;
        text-decoration: none;
        font-size: 17px;
    }
    .flip-box {
        background-color: transparent;
        width: 200px;
        height: 150px;
        perspective: 1000px;
        border-radius: 5px;
        margin: 25px;
        margin-left: 50px;
    }
    .flip-box-inner {
        position: relative;
        width: 100%;
        height: 100%;
        text-align: center;
        transition: transform 0.8s;
        transform-style: preserve-3d;
    }
    .flip-box:hover .flip-box-inner {
        transform: rotateY(180deg);
    }
    .flip-box-front, .flip-box-back {
        position: absolute;
        width: 100%;
        height: 100%;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        border-radius: 5px;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }
    .flip-box-front {
        background-color: #ffffff;
        color: black;
    }
    .flip-box-back {
        background-color: rgb(0, 0, 0);
        color: #ffffff;
        transform: rotateY(180deg);
    }
</style>
</head>
<body style="background-color: #259FA1;">
    <div class="topnav">
        <a href="/lab-4">Table View</a>
        <a class="active">Card View</a>
        <a href="/lab-4/add-note">Add Note</a>
        <pbp >Pemrograman Berbasis Platform</pbp>
    </div>
<div class="container">
    <div class="row">
    {% for note in notes %}
        <div class="flip-box">
            <div class="flip-box-inner">
                <div class="flip-box-front">
                    <p class="center"></p><strong>To:</strong><br>{{ note.untuk }}</p>
                    <p class="center"><strong>From:</strong><br> {{ note.dari }}</td>
                </div>
                    <div class="flip-box-back">
                        <p class="center"></p><strong>Title:</strong><br>{{ note.title }}</td>
                        <p class="center"></p><strong>Message:</strong><br>{{ note.message }}</td>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
</div>
</body>
</html>